using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioControleUtrpDevol
    {

        public void Insert(entidadeControleUtrpDevol objControleUtrpDevol)
        {
            dalControleUtrpDevol dalControleUtrpDevol = null;

            try
            {
                dalControleUtrpDevol = new dalControleUtrpDevol();

                dalControleUtrpDevol.Insert(objControleUtrpDevol);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update(entidadeControleUtrpDevol objControleUtrpDevol)
        {
            dalControleUtrpDevol dalControleUtrpDevol = null;

            try
            {
                dalControleUtrpDevol = new dalControleUtrpDevol();

                dalControleUtrpDevol.Update(objControleUtrpDevol);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Delete(entidadeControleUtrpDevol objControleUtrpDevol)
        {
            dalControleUtrpDevol dalControleUtrpDevol = null;

            try
            {
                dalControleUtrpDevol = new dalControleUtrpDevol();

                dalControleUtrpDevol.Delete(objControleUtrpDevol);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeControleUtrpDevol> Select(entidadeControleUtrpDevol objControleUtrpDevol)
        {
            dalControleUtrpDevol dalControleUtrpDevol = null;

            var lstControleUtrpDevol = new List<entidadeControleUtrpDevol>();
            DataTable dt = null;

            try
            {
                dalControleUtrpDevol = new dalControleUtrpDevol();
                dt = dalControleUtrpDevol.Select(objControleUtrpDevol);

                foreach (DataRow dr in dt.Rows)
                {
                    objControleUtrpDevol = new entidadeControleUtrpDevol();
                    objControleUtrpDevol.entidadeCODIGO = new entidadeCodigo();


                    if (!Convert.IsDBNull(dr["REFERENCIA"]))
                        objControleUtrpDevol.REFERENCIA = Convert.ToDateTime(dr["REFERENCIA"]);

                    if (!Convert.IsDBNull(dr["CODIGO"]))
                        objControleUtrpDevol.CODIGO = dr["CODIGO"].ToString();

                    if (!Convert.IsDBNull(dr["DESCRI"]))
                        objControleUtrpDevol.entidadeCODIGO.DESCRI = dr["DESCRI"].ToString();

                    if (!Convert.IsDBNull(dr["VALOR"]))
                        objControleUtrpDevol.VALOR = Convert.ToDouble(dr["VALOR"]);

                    if (!Convert.IsDBNull(dr["UNID_ID"]))
                        objControleUtrpDevol.UNID_ID = Convert.ToInt32(dr["UNID_ID"]);

                    if (!Convert.IsDBNull(dr["CONS_ID"]))
                        objControleUtrpDevol.CONS_ID = Convert.ToInt32(dr["CONS_ID"]);

                    lstControleUtrpDevol.Add(objControleUtrpDevol);
                }
                return lstControleUtrpDevol;
            }
            catch (Exception)
            {
                throw;
            }
        }


    }
}
